## univention-newsid 11.0.0-1A~5.0.0.202009211832

=== src/Makefile ===
#!/usr/bin/make -f
#
# Copyright 2004-2020 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

PROG := univention-newsid
OBJS := memory.o util_pw.o md4.o genrand.o newsid.o

BINDIR := $(DESTDIR)/usr/sbin
INSTALL ?= install

$(PROG):	$(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o $(PROG) $(LDFLAGS)

install:
	$(INSTALL) -m 0755 -d $(BINDIR)
	$(INSTALL) -m 0755 $(PROG) $(BINDIR)/$(PROG)

clean:
	$(RM) $(OBJS) $(PROG) *~

=== debian/changelog ===
univention-newsid (11.0.0-1A~5.0.0.202009211832) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 21 Sep 2020 18:32:44 +0200

univention-newsid (11.0.0-1) unstable; urgency=medium

  * Bug #51419: UCS-5.0-0 version bump

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 05 Jun 2020 18:06:14 +0200

univention-newsid (10.0.0-1) unstable; urgency=medium

  * Bug #48326: UCS-4.4-0 version bump

 -- Philipp Hahn <hahn@univention.de>  Fri, 14 Dec 2018 15:12:30 +0100

univention-newsid (9.0.0-1) unstable; urgency=medium

  * Bug #45841: UCS-4.3 version bump

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 11 Dec 2017 14:40:51 +0100

univention-newsid (8.0.0-1) unstable; urgency=medium

  * Bug #41963: UCS-4.2 version bump

 -- Philipp Hahn <hahn@univention.de>  Fri, 12 Aug 2016 13:57:41 +0200

univention-newsid (7.0.1-1) unstable; urgency=medium

  * Bump version for UCS 4.1 (Bug #39729)

 -- Stefan Gohmann <gohmann@univention.de>  Tue, 03 Nov 2015 22:01:05 +0100

univention-newsid (6.0.0-1) unstable; urgency=low

  * Update to UCS 4.0 (Bug #35138)

 -- Stefan Gohmann <gohmann@univention.de>  Mon, 30 Jun 2014 08:44:16 +0200

univention-newsid (5.0.0-1) unstable; urgency=low

  * Bump version for UCS 3.1
  * Extend copyright file (Bug #26440)

 -- Moritz Mühlenhoff <muehlenhoffunivention.de>  Thu, 04 Oct 2012 11:47:43 +0200

univention-newsid (4.0.1-4) unstable; urgency=low

  * fixed space/tab mix (Bug #25627)

 -- Tobias Peters <peters@univention.de>  Tue, 12 Jun 2012 16:05:37 +0200

univention-newsid (4.0.1-3) unstable; urgency=low
  
  * fixed help output (Bug #25627)

 -- Tobias Peters <peters@univention.de>  Mon, 04 Jun 2012 14:58:07 +0200

univention-newsid (4.0.1-2) unstable; urgency=low

  * fixed indentation (Bug #25627)

 -- Tobias Peters <peters@univention.de>  Mon, 04 Jun 2012 14:49:54 +0200

univention-newsid (4.0.1-1) unstable; urgency=low

  * added help option  (Bug #25627)

 -- Tobias Peters <peters@univention.de>  Thu, 03 May 2012 14:50:04 +0200

univention-newsid (4.0.0-1) unstable; urgency=low

  * Package cleanup for UCS 3.0 (Bug #23017)
    * Bump version for UCS 3.0
    * Update copyright to 2011
    * Update to debhelper 7

 -- Stefan Gohmann <gohmann@univention.de>  Fri, 29 Jul 2011 07:17:31 +0200

univention-newsid (3.0.0-1) unstable; urgency=low

  * convert to GNU APGL V3 (Bug #17543)
  * bump version for UCS 2.4

 -- Janek Walkenhorst <walkenhorst@univention.de>  Tue, 22 Jun 2010 15:32:30 +0200

univention-newsid (2.0.0-0) unstable; urgency=low

  * bump version for UCS 2.3

 -- Sönke Schwardt <schwardt@univention.de>  Wed, 10 Jun 2009 08:20:32 +0200

univention-newsid (1.0.0-2) unstable; urgency=low

  * encoded files utf-8

 -- Janis Meybohm <meybohm@univention.de>  Wed, 13 Jun 2007 11:21:42 +0200

univention-newsid (1.0.0-1) unstable; urgency=low

  * update to ucs 2.0 policies

 -- Stefan Gohmann <gohmann@univention.de>  Thu, 24 May 2007 14:22:33 +0200

univention-newsid (0.1.2) unstable; urgency=low

  * add GPL headers

 -- Andreas BÃŒsching <buesching@univention.de>  Sat,  2 Dec 2006 14:07:39 +0100

univention-newsid (0.1.0) unstable; urgency=low

  * initial release

 -- Stefan Gohmann <gohmann@univention.de>  Tue, 09 Sep 2003 17:10:40 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: univention-newsid
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Standards-Version: 3.5.5
Build-Depends:
 debhelper,

Package: univention-newsid
Architecture: any
Depends:
 ${shlibs:Depends},
Description: UCS - generate a new samba sid
 This package contain a tool to generate a new samba sid.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention New SID
#  rules file for the debian package
#
# Copyright 2004-2020 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

%:
	dh $@ --parallel --sourcedirectory=src

## univention-newsid 12.0.2

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 #
-# Copyright 2004-2020 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2004-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-newsid (12.0.2) unstable; urgency=medium

  * Bug #53127: upgrade to latest debhelper compat version

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:34 +0100

univention-newsid (12.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.1-0 version bump

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 22:19:38 +0100

univention-newsid (11.0.2-1) UNRELEASED; urgency=medium

  * Bug #57118 UCS 5.0-7 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Mar 2024 15:51:50 +0100

univention-newsid (11.0.1-1) UNRELEASED; urgency=medium

  * Bug #56832: UCS 5.0-6 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Dec 2023 19:17:26 +0100

## univention-newsid 13.0.1

=== debian/changelog ===
univention-newsid (13.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.2-0 version bump

 -- Florian Best <best@univention.de>  Tue, 20 Feb 2024 08:54:14 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 # Univention New SID
 #  rules file for the debian package
 #
-# Copyright 2004-2020 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2004-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-newsid 13.4.0

=== src/Makefile ===
#!/usr/bin/make -f
# SPDX-FileCopyrightText: 2004-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

PROG := univention-newsid
OBJS := memory.o util_pw.o md4.o genrand.o newsid.o

BINDIR := $(DESTDIR)/usr/sbin
INSTALL ?= install

$(PROG):	$(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o $(PROG) $(LDFLAGS)

install:
	$(INSTALL) -m 0755 -d $(BINDIR)
	$(INSTALL) -m 0755 $(PROG) $(BINDIR)/$(PROG)

clean:
	$(RM) $(OBJS) $(PROG) *~

=== debian/changelog ===
univention-newsid (13.4.0) unstable; urgency=medium

  * Bug #58848: UCS 5.2-4 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 28 Nov 2025 09:30:07 +0100

univention-newsid (13.3.0) UNRELEASED; urgency=medium

  * Bug #58568: UCS 5.2-3 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 02 Sep 2025 16:18:26 +0200

univention-newsid (13.2.0) UNRELEASED; urgency=medium

  * Bug #58344: UCS 5.2-2 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 28 May 2025 16:49:56 +0200

univention-newsid (13.0.2-1) UNRELEASED; urgency=medium

  * Bug #58015 UCS 5.2-1 version bump

 -- Christian Castens <castens@univention.de>  Mon, 03 Mar 2025 10:45:40 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Univention GmbH <packages@univention.de>
 Standards-Version: 3.5.5
 Build-Depends:
- debhelper,
+ debhelper-compat (=13),
 
 Package: univention-newsid
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention New SID
#  rules file for the debian package
#
# SPDX-FileCopyrightText: 2004-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

%:
	dh $@ --parallel --sourcedirectory=src
